Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7555 - No slovene XKB keyboard layout
Summary: No slovene XKB keyboard layout
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-03 16:38 UTC by David Balažic
Modified: 2016-03-02 11:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-05-05 17:08:51 UTC


Attachments (Terms of Use)
Slovenian XKB - experimental (deleted)
2000-02-09 09:25 UTC, David Balažic
no flags Details
A newer version of the 'sl' file (deleted)
2000-02-09 09:46 UTC, David Balažic
no flags Details

Description David Balažic 1999-12-03 16:38:35 UTC
There is no slovene (XKB) keyboard layout.
As only XKB layouts are offered at install time , this is a problem
for all slovene users.
When using non-XKB keyboards , there is a BackSpace <-> Delete problem,
which can be fixed with xmodmap.

Comment 1 Preston Brown 2000-01-18 20:21:59 UTC
do you know where I can get some slovenian xkb layout files?  If so, attach them
here or at least provide a URL.

Comment 2 Preston Brown 2000-02-04 15:33:59 UTC
if you can supply such a map, please create an attachment and reopen the bug.
We cannot locate a slovene xkb map and do not have the time or resources to
create one.

Comment 3 David Balažic 2000-02-09 09:25:59 UTC
Created attachment 104 [details]
Slovenian XKB - experimental

Comment 4 David Balažic 2000-02-09 09:46:59 UTC
Created attachment 105 [details]
A newer version of the 'sl' file

Comment 5 David Balažic 2000-02-09 09:58:59 UTC
There is a slovenian XKB ( it is work in progress )
at ftp://sizif.mf.uni-lj.si/pub/i18n/xkb.tar.gz , I attached it here and also an
updated version of the 'sl' file.

The author ( Marko Samastur <markos@elite.org> ) said the following :
( this a translation from slovenian to english by me )

He sent the new version to XFree86 and it should be included in their next
version.
He also said that it is probably not neccesary to send the files by me ( david )
, as they will be available soon (?) in the official XF86 package.

He notes that the file will be renamed from 'sl' to 'si' and that redhat should
do the same , if he includes the files before the new XF86 is avaliable.
( dont forget to change the reference in the file 'xfree86' too ! )

(  end Marko Samastur mail )

Comment 6 Preston Brown 2000-02-10 20:06:59 UTC
fixed in XFree86-3.3.6-12 and later.

Comment 7 David Balažic 2000-04-03 16:17:59 UTC
In XFree-3.3.6-20 ( the one from zoot-RH6.2 ) you forgot to include the file
'sl' ! So it does not work.
There is also no choice for 'Slovene' in the gfx installer ( for the keyboard
layout ).

Comment 8 Preston Brown 2000-05-05 17:08:59 UTC
argh, you are right.  This will be fixed in an X errata for 6.2.

Comment 9 openshift-github-bot 2016-03-02 11:29:41 UTC
Commits pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/1b8c4af9616ab4451be4a9e1489d825caf96e113
Issue 7555 - fixed importimage which was picking wrong docker pull spec for images that failed previous import.

https://github.com/openshift/origin/commit/2eb802293e97d722fa94d6105d3206f057e5e4d7
Merge pull request #7581 from soltysh/issue7555

Merged by openshift-bot


Note You need to log in before you can comment on or make changes to this bug.